
;********************************************************************************
;* data.h:
;*	System specific data locationd.
;*
;*	To port gibl to another 6502 system you may need to change stuff
;*	in this file. It should be fairly obvious ...
;********************************************************************************

;********************************************************************************
;* This file is part of gibl:							*
;*	Gordons Interactive Basic Language                                      *
;********************************************************************************
;*    A Tiny Basic for the 6502 inspired by the NIBL Tiny Basic interpreter;	*
;*    "National Industrial Basic Language" originally for the INS8060 SC/MP	*
;*    system.									*
;*										*
;*    gibl is distributed under a "Source Available" license.			*
;*	It is NOT Open source and must not be treated as such.			*
;*										*
;*    See the file LICENSE for details.						*
;*										*
;*    gibl is Copyright (c) 2023 by Gordon Henderson				*
;********************************************************************************


;********************************************************************************
;* Sizes of the various static data areas
;********************************************************************************

varSize0	=	26		; 26 variables
varSize		=	26 * 2		; 26 x 2-byte variables
arithStackSize	=	13 * 2
sbrStackSize	=	 8 * 2		; 8 nested GOSUBs, DO and FORs
doStackSize	=	 8 * 2		; should be enough ...
forStackSize	=	 8 * 7		; Each FOR loop  needs 7 bytes.
pcStackSize	=	14 * 2		; The I.L. progam stack


;********************************************************************************
;* Zero page data (fast)
;********************************************************************************

	.globalzp	variables
	.globalzp	variablesL
	.globalzp	variablesH
	.globalzp	arithStack
	.globalzp	pcStack
	.globalzp	doPtr
	.globalzp	forPtr
	.globalzp	arithPtr
	.globalzp	sbrPtr
	.globalzp	pc
	.globalzp	 pcL
	.globalzp	 pcH
	.globalzp	pcPtr
	.globalzp	loLine
	.globalzp	hiLine
	.globalzp	listing
	.globalzp	runMod
	.globalzp	lablLo
	.globalzp	lablHi
	.globalzp	svCursor
	.globalzp	 svCursorL
	.globalzp	 svCursorH
	.globalzp	lo
	.globalzp	hi
	.globalzp	num
	.globalzp	eNum
	.globalzp	top
	.globalzp	 topL
	.globalzp	 topH
	.globalzp	chrNum
	.globalzp	rndX
	.globalzp	rndY
	.globalzp	cursor
	.globalzp	  cursorL
	.globalzp	  cursorH
	.globalzp	p2
	.globalzp	  p2L
	.globalzp	  p2H
	.globalzp	p3
	.globalzp	  p3L
	.globalzp	  p3H
	.globalzp	osPageL
	.globalzp	osPageH

;********************************************************************************
;* Slow (non-ZP) data
;********************************************************************************

	.global		sbrStack
	.global		doStack
	.global		forStack
