
;*********************************************************************************
;* gibl.s:
;*	Generic startup after doing all the system specific stuff.
;*********************************************************************************

;********************************************************************************
;* This file is part of gibl:							*
;*	Gordons Interactive Basic Language                                      *
;********************************************************************************
;*    A Tiny Basic for the 6502 inspired by the NIBL Tiny Basic interpreter;	*
;*    "National Industrial Basic Language" originally for the INS8060 SC/MP	*
;*    system.									*
;*										*
;*    gibl is distributed under a "Source Available" license.			*
;*	It is NOT Open source and must not be treated as such.			*
;*										*
;*    See the file LICENSE for details.						*
;*										*
;*    gibl is Copyright (c) 2023 by Gordon Henderson				*
;********************************************************************************

	.macpack	generic


	.include	"data.h"
	.include	"il.h"
	.include	"ilExec.h"

	.include	"gibl.h"


;********************************************************************************
;* gibl:
;*	Main GIBL entry point, Initialise variables, etc. and
;*	jump to the I.L
;********************************************************************************

gibl:

; Simply initialise the IL PC so it can take over from here:

	lda	#<ilBegin
	sta	pcL
	lda	#>ilBegin
	sta	pcH

	jmp	ilExec
